//+------------------------------------------------------------------+
//|                                                   CheburGena.mq5 |
//|                                             Copyright 2010, AM2. |
//|                                      http://www.forexsystems.biz |
//+------------------------------------------------------------------+

#property copyright "Copyright 2010, AM2."
#property link      "http://www.forexsystems.biz"
#property version   "1.1"

#include <Trade\Trade.mqh>

input double TakeProfit    =   700; // Take Profit
input double StopLoss      =   550; // Stop Loss
input int    Lots          =   1;   // Lot

//+------------------------------------------------------------------+
//| Check for open position conditions                               |
//+------------------------------------------------------------------+
void CheckForOpen()
  {
   MqlRates rt[2];
//--- go trading only for first ticks of new bar
   if(CopyRates(_Symbol,_Period,0,2,rt)!=2)
     {
      Print("CopyRates of ",_Symbol," failed, no history");
      return;
     }
   if(rt[1].tick_volume>1) return;  
   int  maHandle=0;
   double   ma[4]; 
   
   maHandle=iMA(_Symbol,0,12,0,MODE_SMA,PRICE_CLOSE);
   
   if(CopyBuffer(maHandle,0,0,3,ma)!=3)
     {
      Print("CopyBuffer from iMA failed, no data");
      return;
     }  
   double Ask = SymbolInfoDouble(_Symbol,SYMBOL_ASK); //    
   double Bid = SymbolInfoDouble(_Symbol,SYMBOL_BID); //    
   
   if(ma[1]<ma[2])
     {
      CTrade trade;
      trade.PositionOpen(_Symbol,ORDER_TYPE_BUY,Lots,Ask,
      NormalizeDouble(Ask - StopLoss*_Point,_Digits),
      NormalizeDouble(Ask + TakeProfit*_Point,_Digits));
     }
           
   if(ma[1]>ma[2])
     {
      CTrade trade;
      trade.PositionOpen(_Symbol,ORDER_TYPE_SELL,Lots,Bid,
      NormalizeDouble(Bid + StopLoss*_Point,_Digits),
      NormalizeDouble(Bid - TakeProfit*_Point,_Digits));
     }           
//---
  }

//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---

//---
   return(0);
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
   if(!PositionSelect(_Symbol)) CheckForOpen();                     
//---
  }
//+------------------------------------------------------------------+

